<!DOCTYPE html>
<html lang="cs">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=Edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="author" content="A-WebSys, spol. s r.o., www.awebsys.cz" />
		{$head_meta}
		{* Facebook site verification *}
		{if $is_facebook_enable}<meta property="fb:app_id" content="{$fb_app_id}" />{/if}
		{* SEO CANONICAL *}
		{if $canonical_url}<link rel="canonical" href="{$canonical_url}" />{/if}
		{$head_title}

		<link href='//fonts.googleapis.com/css?family=Open+Sans:400,300,400italic,700&subset=latin,latin-ext' rel='stylesheet' type='text/css'>

		<link href="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
		<link href="{$web_path}/css/style.css" rel="stylesheet">
		<link href="{$web_path}/css/responsive.css" rel="stylesheet">
		<link href="{$web_path}/css/jquery.fancybox.min.css" rel="stylesheet">
		<link href="{$web_path}/css/slicknav.css" rel="stylesheet">

		<!-- CSS asi odstranit? neni jasne -->
		{* <link href="{$web_path}/css/animate.min.css" rel="stylesheet"> *}
		{* <link href="{$web_path}/css/sky-forms-blue.css" rel="stylesheet"> *}
		{* <link href="{$web_path}/css/plugin.css" rel="stylesheet"> *}
		{* <link href="{$web_path}/css/sky-forms.css" rel="stylesheet"> <!-- Pouziva se na login user predelat na bootstrap??? --> *}

		<script src="//use.fontawesome.com/bc33e2ebde.js"></script>
		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
		<script src="/js/slider-parallax.js"></script>

		{$html_code_header}
	</head>

	<body>

		<div class="visible-xs clearfix">
			<div class="slicker-product-menu"></div>
			<div class="slicker-main-menu"></div>
		</div>

		<header id="header">
		  <div class="main-header">
		    <div class="navbar">
		      <div class="container">
		        <div class="login-register pull-left">
		          {* languages *}
							{if count($languages_url) > 1}
		          	<ul class="flags list-unstyled">
								{foreach from=$languages_url item=url key=language name=languages}
									<li>
										{if $language == $g_current_lang}
											<a data-toggle="tooltip" data-placement="bottom" title="{$language|lower}" href="#" class="active"><img src="{$web_path}/images/flags/{$language|lower}.png" alt="{$language|lower}" height="11" width="16"></a>
										{else}
											<a data-toggle="tooltip" data-placement="bottom" title="{$language|lower}" href="{$url|lower}" class=""><img src="{$web_path}/images/flags/{$language|lower}.png" alt="{$language|lower}" height="11" width="16"></a>
										{/if}
									</li>
								{/foreach}
								</ul>
							{/if}
						</div>

						<div class="pull-right">
							{* login panel *}
							{if $is_login_user }
								<span class="user-panel">
									{* User name *}
									<strong>{'label_user'|T}:</strong> <span id="logged-user">{$user->getUserName()}</span>
									<a href="{url action='index' name='user'}">{'label_my_profile'|T}</a> |

									{if $auth_method != 'facebook'}
										<a href="{url action='logout' name='user' }">{'link_logout'|T}</a>
									{/if}
								</span>
							{/if}

							<span class="createLogin"><a href="#" data-toggle="modal" data-target="#myModal"><i class="fa fa-user"></i> {'label_user'|T}</a></span>
						</div>
					</div>
				</div>

				<div class="container logo-area">
					<div class="row">
						<div class="col-lg-4 col-md-4 col-sm-6">
							<div class="logo" id="logo">
								<a href="{$breadcrumb[0].url}">
									{if $g_web_logo}<img src="{$g_web_logo}" alt="{$g_shop_name}" />{else}<h2>{$g_shop_name}</h2>{/if}
								</a>
							</div>
						</div>

						<div class="col-lg-8 col-md-8 col-sm-6 nopaddingR">
							<div class="cart pull-right">
								{* basket *}
								<div id="basket">
									{if $basket_info.count > 0}
										<span class="basketL">{* {'label_price'|T}: *} <a href="{url name='basket'}">{$basket_info.price_sum_vat|money:false}</a></span>
										<span class="basketR"><a href="{url name='basket'}"><i class="fa fa-shopping-cart"></i></a><a href="{url name='basket'}" class="basket-info-count">{$basket_info.count}</a></span>
										<a href="{url name='basket'}"> <span class="basket_icon"></span></a>
									{else}
										<span class="basketL">{* {'label_price'|T}: *} <a href="{url name='basket'}">{'text_basket_is_empty'|T}</a></span>
										<span class="basketR"><a href="{url name='basket'}"><i class="fa fa-shopping-cart"></i></a><a href="{url name='basket'}" class="basket-info-count">{$basket_info.count}</a></span>
									{/if}
								</div>
							</div>

							<div id="search" class="header-search visible-lg visible-md visible-sm visible-xs pull-right">
								{form from=$search_form}
									<div class="header-search-input-wrap">
										<label for="query-search" class="hidden">Hledej</label>
										<input id="query-search" class="header-search-input search_box ac_input" type="text" name="q">
									</div>
									<span class="hidden">{$elements.type.element}</span>
									<input id="submit-search" class="header-search-submit" type="submit" value="">
									<span class="header-icon-search">
										<i class="fa fa-search"></i>
									</span>
								{/form}
							</div>
						</div>
					</div>
				</div>

				<div class="top-menu">
					<div class="container menu-area nopadding">
						<div id="mainmenu" class="site-menu visible-lg visible-md style1">
							<div class="left-menu hide">
								<div class="left-menu-info">
									<form action="post">
										<input type="text" placeholder="Type to search" name="s">
										<button><i class="fa fa-search"></i></button>
									</form>
								</div>
							</div>

							<nav class="main-menu" id="menu">
								{mainmenu data=$top_menu base="base"}
							</nav>
						</div>
					</div>
				</div>
			</div>
		</header>

		{if $slider_id}
			<div id="slider-bar">
				{slider id=$slider_id auto=5000}
				<div class="shadow"></div>
			</div>
		{/if}

		<div class="main-content sidebar-content" id="sidebar-content">
			{* actual content *}
			{include file=$content}
		</div>

		<footer id="footer">
			<div id="footer-1" class="widget-area">
				<div class="container">
					<div class="row">
						<div class="col-sm-3 col-md-3 col-lg-3 bottom-30">
							<div class="foot">
								<div class="foot-avatar">
									<i class="fa fa-info"></i>
								</div>

								<div class="foot-info">
									<h5>{'label_bottom_menu'|T}</h5>
									{mainmenu data=$top_menu}
								</div>
							</div>
						</div>

						<div class="col-sm-3 col-md-3 col-lg-3 bottom-30">
							<div class="foot">
								<div class="foot-avatar">
									<i class="fa fa-check-square-o"></i>
								</div>

								<div class="foot-info">
									{* Logos *} {*TODO smazat kdyz to nebude potreba*}
									{boxy name="Logos"}
								</div>
							</div>
						</div>

						<div class="col-sm-3 col-md-3 col-lg-3 bottom-30">
							<div class="foot">
								<div class="foot-avatar">
									<i class="fa fa-check"></i>
								</div>

								<div class="foot-info">
									<h5>{'label_newsletter'|T}</h5>
									{* Newsletter box *} {*TODO smazat kdyz to nebude potreba*}
									<div class="boxy">
										<div class="box-content" id="newsletter-box">
											<p>{'text_newsletter_zajem'|T}:</p>
											{form from=$newsletter_form}
												<label for="email" class="hidden">{'label_email_example'|T}</label>
												{$elements.email.element}
												{$elements.submit.element}
											{/form}
										</div>
									</div>
								</div>
							</div>
						</div>

						<div class="col-sm-3 col-md-3 col-lg-3 bottom-30 clearfix">
							<div class="foot">
								<div class="foot-avatar">
									<i class="fa fa-map-marker"></i>
								</div>

								<div class="foot-info">
									<h5>{'label_contact'|T}</h5>
									<ul>
										{if $g_owner_www}
											<li><a href="{$g_owner_www}" title="{$g_owner_www}">{$g_owner_name}</a></li>
										{else}
											<li>{$g_owner_name}</li>
										{/if}

										{if $g_owner_street || $g_owner_city}
											<li>{$g_owner_street}</li>
											<li>{$g_owner_city}</li>
											<li>{$g_owner_zip}</li>
										{/if}

										{if $g_owner_phone || $g_owner_fax}
											{if $g_owner_phone}<li><span>{'label_phone'|T}: {$g_owner_phone}</span></li>{/if}
											{if $g_owner_fax}<li><span>({'label_fax'|T}): {$g_owner_fax}</span></li>{/if}
										{/if}

										{if $g_owner_email}
											<li>{mailto address=$g_owner_email text=$g_owner_email extra=''}</li>
										{/if}
									</ul>
								</div>
							</div>
						</div>
					</div>
				</div>

				<div class="credit">
					<div class="container">
						<div class="row">
							<div class="col-lg-5 col-md-5">
								<ul class="list-unstyled">
									<li>Design <a href="#">ProEshop</a></li>
								</ul>
							</div>

							<div class="col-lg-7 col-md-7 text-right">
								<ul class="list-unstyled">
									<li>&copy; 2009 - {$smarty.now|date_format:"%Y"}</li>
									<li>engine by <a href="http://www.awebsys.cz/" title="webové řešení na míru A-WebSys, spol. s.r.o.">A-WebSys, spol. s r.o.</a></li>
									<li>pronájem e-shopu <a href="http://www.proeshop.cz/" title="pronájem eshopu">ProEshop</a></li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
		</footer>

		<!-- Modal -->
		<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
		  <div class="modal-dialog" role="document">
		    <div class="modal-content">
		      <div class="modal-header">
		        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		        <h4 class="modal-title" id="myModalLabel"><i class="fa fa-user"></i> {'label_user'|T}</h4>
		      </div>
					{form from=$login_form}
						<div class="modal-body">
		          <div class="form-group">
		            <label for="login-login" class="control-label">{'label_login'|T}</label>
		            <input class="form-control" type="text" id="login-login" name="login">
		          </div>
		          <div class="form-group">
		            <label for="login-password" class="control-label">{'label_password'|T}</label>
								<input class="form-control" type="password" id="login-password" name="password">
		          </div>

							<a class="lost-password" href="{url action='lost-password' name='user'}"><i class="fa fa-question-circle"></i> {'link_lost_password'|T}</a>

							{if !$is_login_user && !$is_need_post_registration}
								<a class="btn btn-default btn-lg btn-block" id="register-button" href="{url action='registration' name='user'}">{'link_registration'|T}</a>
							{/if}

		      	</div>

			      <div class="modal-footer">

							<button type="submit" id="login-submit" class="btn btn-primary pull-right">{'button_login'|T}</button>

							<div id="fb-login">
								{if !$is_login_user }
									{if $is_facebook_login}
										{if $is_need_post_registration}
											<div id="oauth-login">
												{fb_logout}
											</div>
										{else}
											<div id="oauth-login">
												{fb_login}
											</div>
										{/if}
									{/if}
								{else}
									{if $auth_method == 'facebook'}
										<div id="oauth-login">
											{fb_logout}
										</div>
									{/if}
								{/if}
							</div>
			      </div>
					{/form}
		    </div>
		  </div>
		</div>

		{*HTML/JS code with access counter*}
		<div>
			{$html_code_counter}
		</div>
		{$html_code_footer}

		{*vyber varianty produktu - modal bootstrap*}
		<div id="chooseVariant" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="chooseVariantLabel" aria-hidden="true">
			<div class='modal-dialog'>
				<div class='modal-content'>
					<div class="modal-header">
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
						<h4 class="modal-title" id='chooseVariantLabel'>{'title_choose_variant'|T}</h4>
					</div>
					<form method="post" class="order modal-order" action="{url name='basket_add'}">
						<div class="modal-body">
							<input type="hidden" name="goods_id" value="" class="param" />
							<input type="hidden" name="availability" value="" class="param" />
							<input type="hidden" name="voucher" value="" class="param" />
							<table>
								<tr>
									<th>{'label_count'|T}:</th>
									<td>
										<div class="input-group">
											<input type="number" name="count" value="1" class="count-input form-control"/>
											<span class="input-group-btn">
												<button type="button" class="btn btn-count increase-value">
													<i class="fa fa-plus"></i>
												</button>
											</span>
										</div>
									</td>
								</tr>
								<tr>
									<th>{'label_select_variant'|T}:</th>
									<td>
										<select name="param_id" class='form-control' id="modal-variants"></select>
									</td>
								</tr>
							</table>
						</div>
						<div class="modal-footer">
							<button type="submit" name="add_cart" value="sended" class="btn btn-to-cart modal-button">
								<span class="img-part"><i class="fa fa-shopping-cart"></i></span>
								<span class="text-part">{"text_buy"|T}</span>
							</button>
						</div>
					</form>
				</div>
			</div>
		</div>

		<div id="cookiesAgreement">
			<span>{"_cookies_agreement"|T}</span>
			<a target="_blank" href="https://www.google.com/intl/cs/policies/technologies/cookies/" class="btn1 btn-cookies">
				{"_cookies_button_more"|T}
			</a>
			<button class="btn1 btn-agree">{"_cookies_button_agree"|T}</button>
		</div>

		<div id="floatingBanner" style="display: none;">{"_disabled_cookies"|T}</div>

		<!-- jQuery load -->
		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery-migrate/1.2.1/jquery-migrate.min.js"></script>
		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>
		<script src="//cdnjs.cloudflare.com/ajax/libs/gsap/1.17.0/TweenMax.min.js"></script>
		<script src="//cdnjs.cloudflare.com/ajax/libs/gsap/1.17.0/jquery.gsap.min.js"></script>

		{* Translates for javascript *}
		<script src="{$web_path}/js/translates.js"></script>

		<script type="text/javascript">
			T.set({ldelim}
				'_label_vyberte_variantu': '{"alert_select_variant"|T}',
				'_label_zakazane_cookies': '{"text_basket_cookies_disabled"|T}',
				'_label_responsive_main_menu': '{"_label_responsive_main_menu"|T}',
				'_label_responsive_product_menu': '{"_label_responsive_product_menu"|T}'
			{rdelim});
		</script>

		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>

		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/superfish/1.7.9/js/superfish.min.js"></script>
		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/SlickNav/1.0.7/jquery.slicknav.min.js"></script>

		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/fancybox/1.3.4/jquery.fancybox-1.3.4.pack.min.js"></script>
		<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/fancybox/1.3.4/jquery.easing-1.3.pack.js"></script>

		<script src="{$web_path}/js/vendor/jquery.tipsy.min.js"></script>

		<!-- Mozna odstranit -->
		{* <script src="{$web_path}/js/jpanelmenu.js"></script> *}

		<!-- Zkusim zakazat -->
		{* <script src="{$web_path}/js/plugins.js"></script> *}
		{* <script src="/js/slider-parallax.js"></script> *}

		<!--[if lt IE 10]>
			<script src="{$web_path}/js/jquery.placeholder.min.js"></script>
		<![endif]-->

		<script src="{$web_path}/js/vendor/jquery.autocomplete.js"></script>

		<script src="{$web_path}/js/web.js"></script>

		{*JS code search autocomplete*}
		{literal}
			<script type="text/javascript">
				$(document).ready(function(){
					$("#query-search").autocomplete('{/literal}{url name='search' action='auto-complate'}{literal}', {
						minChars: 3,
						extraParams: {
							type: 'goods'
						}
					});
				});
			</script>
		{/literal}

		{literal}
			<script type="text/javascript">
				var eventTarget;
				$('.pimage').addClass('pitem');
				$('.product-item').addClass('pitem');
				// Add img-responsive class to all main images
				$('.pimage').find('img').addClass('img-responsive');
				// // Add order class to all forms
				// $('.add-cart > form').addClass('order');

				$('select#modal-variants').change(function(){
					$('#chooseVariant .modal-body input[name="availability"]').val($(this).val());
				});

				$('#chooseVariant').on('show.bs.modal', function (event) {
					var button = eventTarget = $(event.relatedTarget); // Button that triggered the modal
					var data = button.data('variants');
					var id = button.data('id');
					var name = button.data('name');
					var voucher = button.data('voucher');

					var modal = $(this);
					modal.find('.modal-title').text("{/literal}{'label_choose_variant_for'|T}{literal} "+name);
					modal.find('.modal-body input[name="goods_id"]').val(id);
					modal.find('.modal-body input[name="availability"]').val(data[0].availability);
					modal.find('.modal-body input[name="voucher"]').val(voucher);
					var select = modal.find('.modal-body select#modal-variants');
					select.change(function(){
						modal.find('.modal-body input[name="availability"]').val($(this).find('option:selected').data('variantAvailability'));
					});
					$.each(data, function(index, elem) {
						select.append('<option value="'+elem.id+'" data-variant-availability="'
								+elem.availability+'">'+elem.name+' - '+Math.ceil(elem.price_vat)
								+' {/literal}{$g_actual_currency}{literal}</option>');
					});
				}).on('hide.bs.modal', function(event){
					$(this).find('#modal-variants').empty().off('change');
				});

				$('form.order').submit(function (event){
					//JS add goods to basket confirmation

					if (this['param_id'].value % 1 !== 0) {
						alert('{/literal}{'alert_select_variant'|T}{literal}');
						return false;
					} else
					if(typeof prices != 'undefined') {
						if (typeof this['detail'] != 'undefined' && this['detail'].value == true) {
							if (prices[this['param_id'].value].availability == '{/literal}{'_const_dostupnost_neni_skladem'|T}{literal}') {
								if (!confirm('{/literal}{'confirm_dostupnost_neni_skladem'|T}{literal}')) {
									return false;
								}
							}
						} else if ($(this).hasClass('has-variants')) {
							if (!confirm('{/literal}{'confirm_default_variant'|T}{literal}')) {
								return false;
							}
						}
					} else {
						if (this['availability'].value == "_const_dostupnost_neni_skladem") {
							if (!confirm('{/literal}{'confirm_dostupnost_neni_skladem'|T}{literal}')) {
								return false;
							}
						} else if ($(this).hasClass('has-variants')) {
							if (!confirm('{/literal}{'confirm_default_variant'|T}{literal}')) {
								return false;
							}
						}
					}

					event.preventDefault();
					var form = $(this);
					if (form.hasClass('table-form'))
					{
						var infobox = true;
						if (window.innerWidth >= 768)
						{
							form.find('input[name="count"]').val(form.closest('tr.product-row').find('.count-input').val());
						}
						else
						{
							form.find('input[name="count"]').val(form.closest('tr').prev().find('.count-input').val());
						}
					}
					else if (!form.hasClass('modal-order'))
					{
						//basketAnim(this);
					}
					$.post("{/literal}{url name='basket_add_ajax'}{literal}", form.closest('form.order').serialize(), function(data) {
							data=JSON.parse(data);

							if (data.result) {
								if (!form.hasClass('modal-order')) {
									basketAnim(form.closest('form.order'));
								}
								$('.basketR > a.basket-info-count').html(data.data.count);
								if ($.type(data.data.price_sum_vat_formated) !== "undefined")
								{
									$('.basketL > a').html(data.data.price_sum_vat_formated);
								}
								else
								{
									$('.basketL > a').html(data.data.price_sum_vat + "&nbsp;{/literal}{$g_actual_currency}{literal}");
								}
							} else {
								alert(data.msg);
							}
						}, 'json')
					.done(function(data){
						data=$.parseJSON(data);
						if (form.hasClass('modal-order')) {
							$('#chooseVariant').modal('hide');
							if (data.result) {
								basketAnim(eventTarget);
							}
						} else if (infobox) {
							var $closest = (window.innerWidth >= 768)?form.closest('tr.product-row'):form.find('[type="submit"]');
						}
						if ($closest) {
							$closest.tipsy({
								delayOut: 4000,
								fade: true,
								gravity: (window.innerWidth > 1550)?'w':$.fn.tipsy.autoNS,
								fallback: data.msg,
								trigger: 'manual'
							}).tipsy("show").tipsy("hide");
						}
					});
				});

				// $('form.order').submit(function (event) {
				// 	event.preventDefault();
				// 	$.post("{/literal}{url name='basket_add_ajax'}{literal}",
				// 	$(this).closest('form.order').serialize(), function(data) {
				// 		data=JSON.parse(data);
				// 		$('.basketR > a.basket-info-count').html(data.data.count);
				//
				// 		if ($.type(data.data.price_sum_vat_formated) !== "undefined")
				// 			$('.basketL > a').html(data.data.price_sum_vat_formated);
				// 		else
				// 			$('.basketL > a').html(data.data.price_sum_vat + " {/literal}{""|money:false}{literal}");
				// 	}, 'json');
				// });
			</script>
		{/literal}

		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="{$web_path}/js/html5shiv.js"></script>
			<script src="{$web_path}/js/respond.min.js"></script>
			<script src="{$web_path}/js/jquery.ieresponsify-1.1.js"></script>
		<![endif]-->

		{* facebook *}
		{if $is_facebook_enable}
			{fb_init appId=$fb_app_id}{/fb_init}
		{/if}
	</body>
</html>
