<div id="headline">
	<div class="container">
		{'headline_my_setting'|T|headline1}
	</div>
</div>
{* breadcrumb *}
{if $breadcrumb}
<div id="breadcrumb" itemprop="breadcrumb">
	<div class="container">
		<ul class="clearfix list-unstyled">
			{foreach from=$breadcrumb item='bitem' name='breadcrumb'}
				{if !$smarty.foreach.breadcrumb.last}
				<li>
					<a href="{$bitem.url}" typeof="v:Breadcrumb" rel="v:url" property="v:title">{$bitem.name|T}</a> 
				</li>
				{else}
				<li>
					<span class="last" typeof="v:Breadcrumb" rel="v:url" property="v:title">{$bitem.name|T}</span>	
				</li>
				{/if}					
			{/foreach}
		</ul>
	</div>
</div>
{/if}

<div class="container user-account">

	{if !empty($successBox)}
		{$successBox|T}
	{/if}

	{if !empty($errorBox)}
		{$errorBox|T}
	{/if}

	<div class="row">
		<div class="col-lg-12 col-md-12 single" id="content">
			<div class="content_data">
				<div class="row">
					 <div class="col-lg-6">
						{* Prelude my setting *}
						<div class="prelude">
							{text key='my_setting_prelude'}
						</div>
					</div>
					<div class="col-lg-6">
						 <i class="fa fa-clock-o"></i> {'label_last_login'|T}: {$user_data.last_login_date|date_format:"%x %X"} ({$user_data.last_login_ip|get_host})
					</div>
				</div>
				<div class="row">
					<div class="col-lg-6">
						{* Orders - only first 5 *}
						{'headline_orders'|T|headline2}
						<table class="datagrid">
							<thead>
								<tr>
									<th>{'label_id_number'|T}</th>
									<th>{'label_status'|T}</th>
									<th>{'label_date'|T}</th>
									<th>{'label_price'|T}</th>
									<th>{'label_price_vat'|T}</th>
								</tr>
							</thead>
							<tbody>
							{foreach from=$orders item='order'}
								<tr class="{cycle values='odd,even'}">
									<td><a href="{url name="user" action="detail-order" id=$order.id}">{$order.id_number|escape}</a></td>
									<td>{$order.state|T}</td>
									<td>{$order.date|date_format:"%x"}</td>
									<td class="right">{$order.price_sum|base_money:$order.money_id}</td>
									<td class="right">{$order.price_sum_vat|base_money:$order.money_id} </td>
								</tr>
							{foreachelse}
								<tr>
									<td colspan="5">{'text_no_data'|T}</td>
								</tr>
							{/foreach}
							</tbody>
						</table>
						<div class="button-box">
							<a class="more button" href="{url name="user" action="order"}">{'link_more'|T}</a>
						</div>
						<div class="clearfix"></div>
					</div>
					<div class="col-lg-6">
						{'headline_my_data'|T|headline2}
						{* Form for sending the request for lost password *}
						{form from=$passive_form type="Table"}
						{/form}
						<div class="button-box">
							<a class="edit button" href="{url name="user" action="edit"}">{'link_edit'|T}</a>
						</div>
						<div class="clearfix"></div>
					</div>
				</div>

				<div class="clearfix"></div>

				{* Delivery address *}
				{'headline_delivery_address'|T|headline2}
				<table class="datagrid">
					<thead>
						<tr>
							<th>{'label_name'|T}</th>
							<th>{'label_street'|T}</th>
							<th>{'label_city'|T}</th>
							<th>{'label_zip'|T}</th>
							<th>{'label_country'|T}</th>
						</tr>
					</thead>
					<tbody>
					{foreach from=$delivery_address item='address' }
					<tr class="{cycle values='odd,even'}{if $address.default} default{/if}">
						<td><a href="{url name="user" action="edit-delivery-address" id=$address.id}">{$address.firstname|escape} {$address.lastname|escape}</a></td>
						<td>{$address.street|escape}</td>
						<td>{$address.city|escape}</td>
						<td>{$address.zip|escape}</td>
						<td>{$address.country|escape}</td>
					</tr>
					{foreachelse}
					<tr>
						<td colspan="5">{'text_no_data'|T}</td>
					</tr>
					{/foreach}
					</tbody>
				</table>
				<div class="button-box">
					<a class="insert button" href="{url name="user" action="insert-delivery-address"}">{'link_insert'|T}</a>
				</div>
				<div class="clearfix"></div>

				{* Billing address *}
				{'headline_billing_address'|T|headline2}
				<table class="datagrid">
					<thead>
						<tr>
							<th>{'label_company_name'|T}</th>
							<th>{'label_ic'|T}</th>
							<th>{'label_dic'|T}</th>
							<th>{'label_street'|T}</th>
							<th>{'label_city'|T}</th>
							<th>{'label_zip'|T}</th>
							<th>{'label_country'|T}</th>
						</tr>
					</thead>
					<tbody>
					{foreach from=$billing_address item='address' name='billing_address' }
						<tr class="{cycle values='odd,even'}{if $address.default} default"{/if}">
							<td><a href="{url name="user" action="edit-billing-address" id=$address.id}">{$address.company_name|escape}</a></td>
							<td>{$address.ic|escape}</td>
							<td>{$address.dic|escape}</td>
							<td>{$address.street|escape}</td>
							<td>{$address.city|escape}</td>
							<td>{$address.zip|escape}</td>
							<td>{$address.country|escape}</td>
						</tr>
					{foreachelse}
						<tr>
							<td colspan="7">{'text_no_data'|T}</td>
						</tr>
					{/foreach}
					</tbody>
				</table>
				<div class="button-box">
					<a class="insert button" href="{url name="user" action="insert-billing-address"}">{'link_insert'|T}</a>
				</div>

				{* Bonus program *}
				{if FALSE != $bonusprogram }
				<div id="bp-box">
					{'headline_bonusprogram'|T|headline2}

					<div class="text-box">
						{'bonusprogram_points_status'|T}:&#160;<strong>{$bonusprogram.total}</strong>
					</div>

					{if FALSE != $bonusprogram.records }
						{'headline_bonusprogram_history'|T|headline3}
						<div class="text-box">
							{'bonusprogram_history'|T}
						</div>
						<table class="datagrid">
							<thead>
								<tr>
									<th>{'label_bonusprogram_direction'|T}</th>
									<th>{'label_bonusprogram_direction_type'|T}</th>
									<th>{'label_bonusprogram_points'|T}</th>
									<th>{'label_bonusprogram_order'|T}</th>
									<th>{'label_bonusprogram_date'|T}</th>
								</tr>
							</thead>
							<tbody>
							{foreach from=$bonusprogram.records item='bp_record' }
								<tr class="{cycle values='odd,even'}">
									<td>{$bonusprogram_lang[$bp_record.direction]|T}</td>
									<td>{$bonusprogram_lang[$bp_record.direction_type]|T}</td>
									<td class="right strong">{$bp_record.points|escape}</td>
									<td class="center">
										{if 0 != $bp_record.objednavka_id}
											<a href="{url name="user" action="detail-order" id=$bp_record.objednavka_id}">{$bp_record.objednavka_id|escape}</a>
										{else}
											-
										{/if}
									</td>
									<td>{$bp_record.cdate|date_format:"%H:%M %d.%m.%Y"}</td>
								</tr>
							{foreachelse}
								<tr>
									<td colspan="5">{'text_no_data'|T}</td>
								</tr>
							{/foreach}
							</tbody>
						</table>
						<div class="button-box">
							<a class="more button" href="{url name="user" action="bonusprogramRecords"}">{'link_more'|T}</a>
						</div>
						<div class="clearfix">&#160;</div>
					{/if}

					{if FALSE != $bonusprogram.coupons || FALSE != $bonusprogram.availCoupons }
						{'headline_bonusprogram_coupons'|T|headline3}
						{if FALSE != $bonusprogram.availCoupons}
							<div class="text-box">
								{'bonusprogram_availcoupons'|T}
							</div>
							<table class="datagrid">
								<thead>
									<tr>
										<th>{'label_bonusprogram_availcoupons_kod'|T}</th>
										<th>{'label_bonusprogram_availcoupons_sleva'|T}</th>
										<th>{'label_bonusprogram_availcoupons_datum_od'|T}</th>
										<th>{'label_bonusprogram_availcoupons_datum_do'|T}</th>
									</tr>
								</thead>
								<tbody>
								{foreach from=$bonusprogram.availCoupons item='bp_availcoupon' }
									<tr class="{cycle values='odd,even'}">
										<td class="strong">{$bp_availcoupon.kod|T}</td>
										<td class="right strong">{$bp_availcoupon.sleva|money}</td>
										<td>{$bp_availcoupon.datum_od|date_format:"%d.%m.%Y"}</td>
										<td>{$bp_availcoupon.datum_do|date_format:"%d.%m.%Y"}</td>
									</tr>
								{foreachelse}
									<tr>
										<td colspan="4">{'text_no_data'|T}</td>
									</tr>
								{/foreach}
								</tbody>
							</table>
							<div class="clearfix">&#160;</div>
						{/if}

						{if FALSE != $bonusprogram.coupons}
							<div class="text-box">
								{'bonusprogram_coupons'|T}
							</div>
							<table class="datagrid">
								<thead>
									<tr>
										<th>{'label_bonusprogram_coupons_kod'|T}</th>
										<th>{'label_bonusprogram_coupons_cost_points'|T}</th>
										<th>{'label_bonusprogram_coupons_sleva'|T}</th>
										<th>{'label_bonusprogram_coupons_aktivace'|T}</th>
									</tr>
								</thead>
								<tbody>
								{foreach from=$bonusprogram.coupons item='bp_coupon' }
									<tr class="{cycle values='odd,even'}">
										<td>{$bp_coupon.kod|T}</td>
										<td class="right">{$bp_coupon.cost_points|T}</td>
										<td class="right strong">{$bp_coupon.sleva|money}</td>
										<td>
											{if $bonusprogram.total >= $bp_coupon.cost_points }
												<a href="{url name="user" action="make-coupon" id=$bp_coupon.id}" onclick="return confirm('{'bonusprogram_make_coupon_confirm'|T}')">{'bonusprogram_make_coupon'|T}</a>
											{else}
												{'bonusprogram_deficit_points'|T}
											{/if}
										</td>
									</tr>
								{foreachelse}
									<tr>
										<td colspan="4">{'text_no_data'|T}</td>
									</tr>
								{/foreach}
								</tbody>
							</table>
							<div class="clearfix">&#160;</div>
						{/if}
					{/if}

					{if FALSE != $bonusprogram.direct }
						{'headline_bonusprogram_direct'|T|headline3}
						<div class="text-box">
							{'bonusprogram_direct'|T}
						</div>
						<div class="clearfix">&#160;</div>
					{/if}

					{if FALSE != $bonusprogram.products }
						{'headline_bonusprogram_products'|T|headline3}
						<div class="text-box">
							{'bonusprogram_products'|T}
						</div>
						<table class="datagrid">
							<thead>
								<tr>
									<th style="width: 15%;">{'label_bonusprogram_product_image'|T}</th>
									<th style="width: 35%;">{'label_bonusprogram_product_description'|T}</th>
									<th>{'label_bonusprogram_product_cena'|T}</th>
									<th>{'label_bonusprogram_product_body'|T}</th>
									<th>{'label_bonusprogram_coupons_aktivace'|T}</th>
								</tr>
							</thead>
							<tbody>
							{foreach from=$bonusprogram.products item='bp_products' }
								<tr class="{cycle values='odd,even'}">
									<td>
										<a href="{url name='goods' url=$bp_products.detail.url}">
											{image size="middle" class="img-responsive" type="goods" path=$bp_products.detail.images.0.path image=$bp_products.detail.images.0.file alt=$bp_products.detail.images.0.description}
										</a>
									</td>
									<td>
										<a class="strong" href="{url name='goods' url=$bp_products.detail.url}">{$bp_products.detail.name|escape}</a>
										<div class="font-smaller">{$bp_products.detail.short_text}</div>
									</td>
									<td class="right">{$bp_products.detail.parametrs.0.price_vat|money}</td>
									<td class="right">{$bp_products.data.cost_points}</td>
									<td>
										{if $bonusprogram.total > $bp_products.data.cost_points }
											<a href="{url name="user" action="buy-product" id=$bp_products.data.id}" onclick="return confirm('{'bonusprogram_buy_product_confirm'|T}')">{'bonusprogram_buy_product'|T}</a>
										{else}
											{'bonusprogram_deficit_points'|T}
										{/if}
									</td>
								</tr>
							{foreachelse}
								<tr>
									<td colspan="5">{'text_no_data'|T}</td>
								</tr>
							{/foreach}
							</tbody>
						</table>

						<div class="clearfix">&#160;</div>
					{/if}
				</div>
				{/if}

				{* Epilogue my setting example for news, advert, ... *}
				<div class="epilogue">
					{text key='my_setting_epilogue'}
				</div>
			</div>
		</div>
	</div>
</div>